<?xml version="1.0"?>
<hivemq xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:noNamespaceSchemaLocation="hivemq-config.xsd">

    <listeners>
        <tcp-listener>
            <port>1833</port>
            <bind-address>0.0.0.0</bind-address>
        </tcp-listener>
        <websocket-listener>
            <port>1834</port>
            <path>/</path>
            <bind-address>0.0.0.0</bind-address>
        </websocket-listener>
    </listeners>
    <mqtt>
        <max-client-id-length>65535</max-client-id-length>
        <retry-interval>0</retry-interval>
        <no-connect-packet-idle-timeout-millis>10000</no-connect-packet-idle-timeout-millis>
        <max-queued-messages>100000</max-queued-messages>
    </mqtt>
    <throttling>
        <max-connections>-1</max-connections>
        <max-message-size>268435456</max-message-size>
        <outgoing-limit>0</outgoing-limit>
        <incoming-limit>0</incoming-limit>
    </throttling>
    <general>
        <update-check-enabled>false</update-check-enabled>
    </general>

</hivemq>

